
Foreman - Bug #3826

Unable to search environments

12/05/2013 04:58 PM - Kedar  Bidarkar

Status: Closed   

Priority: Normal   

Assignee:    

Category: Search   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Trying to search for environment fails with the below error.

PGError: ERROR: missing FROM-clause entry for table "taxonomies" LINE 1: SELECT id FROM "environments" WHERE

(("taxonomies"."name" ... ^ : SELECT id FROM "environments" WHERE (("taxonomies"."name" ILIKE '%Testing%' OR

"taxonomies"."name" ILIKE '%Testing%' OR "environments"."name" ILIKE '%Testing%')) ORDER BY environments.name LIMIT 20

OFFSET 0

Associated revisions

Revision 145db863 - 01/21/2014 01:36 PM - Dmitri Dolguikh 

fixes #3826: no more sql errors when trying to search for environments (also domains, operatingsystems, and models)

Revision 93c01a68 - 01/23/2014 11:31 AM - Dmitri Dolguikh 

fixes #3826: no more sql errors when trying to search for environments (also domains, operatingsystems, and models)

(cherry picked from commit 145db8634df9fbc3ffb51b80093809c5aecd0f6e)

History

#1 - 12/05/2013 05:04 PM - Dominic Cleal

- Category set to Search

#2 - 12/05/2013 05:10 PM - Og Maciel

QE could really use this :)

#3 - 01/09/2014 02:40 PM - Joseph Magen

can't search compute resource either.  could fix them both in same ticket.

#4 - 01/09/2014 02:48 PM - Dominic Cleal

- Target version set to 1.9.2

#5 - 01/09/2014 03:09 PM - Anonymous

- translation missing: en.field_story_points set to 8.0

#6 - 01/09/2014 03:09 PM - Anonymous

- translation missing: en.field_story_points deleted (8.0)

#7 - 01/16/2014 11:43 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#8 - 01/17/2014 04:46 PM - Anonymous
- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/foreman/pull/1166

#9 - 01/21/2014 01:35 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#10 - 01/21/2014 05:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 145db8634df9fbc3ffb51b80093809c5aecd0f6e.
